import { Device, DeviceType } from "eufy-security-client";
import { Modify } from "../state";
export interface DeviceStateSchema0 {
    name: string;
    model: string;
    serialNumber: string;
    hardwareVersion: string;
    softwareVersion: string;
    stationSerialNumber: string;
    state?: number;
    battery?: number;
    batteryTemperature?: number;
    batteryLow?: boolean;
    lastChargingDays?: number;
    lastChargingTotalEvents?: number;
    lastChargingRecordedEvents?: number;
    lastChargingFalseEvents?: number;
    batteryUsageLastWeek?: number;
    motionDetected?: boolean;
    personDetected?: boolean;
    personName?: string;
    soundDetected?: boolean;
    petDetected?: boolean;
    cryingDetected?: boolean;
    ringing?: boolean;
    locked?: boolean;
    sensorOpen?: boolean;
    sensorChangeTime?: number;
    enabled: boolean;
    antitheftDetection?: boolean;
    autoNightvision?: boolean;
    ledStatus?: boolean;
    motionDetection?: boolean;
    soundDetection?: boolean;
    petDetection?: boolean;
    rtspStream?: boolean;
    watermark?: number;
    lockStatus?: number;
    motionSensorPIREvent?: number;
    wifiRSSI?: number;
    pictureUrl?: string;
}
declare type DeviceStateSchema1 = Modify<DeviceStateSchema0, {
    type: DeviceType;
}>;
export declare type DeviceState = DeviceStateSchema0 | DeviceStateSchema1;
export declare const dumpDevice: (device: Device, schemaVersion: number) => DeviceState;
export {};
//# sourceMappingURL=state.d.ts.map