"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dumpDevice = void 0;
const eufy_security_client_1 = require("eufy-security-client");
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const dumpDevice = (device, schemaVersion) => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, _10, _11;
    const base = {
        name: (_a = device.getPropertyValue(eufy_security_client_1.PropertyName.Name)) === null || _a === void 0 ? void 0 : _a.value,
        model: (_b = device.getPropertyValue(eufy_security_client_1.PropertyName.Model)) === null || _b === void 0 ? void 0 : _b.value,
        serialNumber: (_c = device.getPropertyValue(eufy_security_client_1.PropertyName.SerialNumber)) === null || _c === void 0 ? void 0 : _c.value,
        hardwareVersion: (_d = device.getPropertyValue(eufy_security_client_1.PropertyName.HardwareVersion)) === null || _d === void 0 ? void 0 : _d.value,
        softwareVersion: (_e = device.getPropertyValue(eufy_security_client_1.PropertyName.SoftwareVersion)) === null || _e === void 0 ? void 0 : _e.value,
        stationSerialNumber: (_f = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceStationSN)) === null || _f === void 0 ? void 0 : _f.value,
        enabled: (_g = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceEnabled)) === null || _g === void 0 ? void 0 : _g.value,
        state: (_h = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceState)) === null || _h === void 0 ? void 0 : _h.value,
        battery: (_j = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBattery)) === null || _j === void 0 ? void 0 : _j.value,
        batteryTemperature: (_k = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBatteryTemp)) === null || _k === void 0 ? void 0 : _k.value,
        batteryLow: (_l = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBatteryLow)) === null || _l === void 0 ? void 0 : _l.value,
        lastChargingDays: (_m = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLastChargingDays)) === null || _m === void 0 ? void 0 : _m.value,
        lastChargingTotalEvents: (_o = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLastChargingTotalEvents)) === null || _o === void 0 ? void 0 : _o.value,
        lastChargingRecordedEvents: (_p = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLastChargingRecordedEvents)) === null || _p === void 0 ? void 0 : _p.value,
        lastChargingFalseEvents: (_q = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLastChargingFalseEvents)) === null || _q === void 0 ? void 0 : _q.value,
        batteryUsageLastWeek: (_r = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBatteryUsageLastWeek)) === null || _r === void 0 ? void 0 : _r.value,
        motionDetected: (_s = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetected)) === null || _s === void 0 ? void 0 : _s.value,
        personDetected: (_t = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePersonDetected)) === null || _t === void 0 ? void 0 : _t.value,
        personName: (_u = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePersonName)) === null || _u === void 0 ? void 0 : _u.value,
        soundDetected: (_v = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSoundDetected)) === null || _v === void 0 ? void 0 : _v.value,
        petDetected: (_w = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePetDetected)) === null || _w === void 0 ? void 0 : _w.value,
        cryingDetected: (_x = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceCryingDetected)) === null || _x === void 0 ? void 0 : _x.value,
        ringing: (_y = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRinging)) === null || _y === void 0 ? void 0 : _y.value,
        locked: (_z = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLocked)) === null || _z === void 0 ? void 0 : _z.value,
        antitheftDetection: (_0 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAntitheftDetection)) === null || _0 === void 0 ? void 0 : _0.value,
        autoNightvision: (_1 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAutoNightvision)) === null || _1 === void 0 ? void 0 : _1.value,
        ledStatus: (_2 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceStatusLed)) === null || _2 === void 0 ? void 0 : _2.value,
        motionDetection: (_3 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetection)) === null || _3 === void 0 ? void 0 : _3.value,
        soundDetection: (_4 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSoundDetection)) === null || _4 === void 0 ? void 0 : _4.value,
        petDetection: (_5 = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePetDetection)) === null || _5 === void 0 ? void 0 : _5.value,
        rtspStream: (_6 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRTSPStream)) === null || _6 === void 0 ? void 0 : _6.value,
        watermark: (_7 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceWatermark)) === null || _7 === void 0 ? void 0 : _7.value,
        lockStatus: (_8 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockStatus)) === null || _8 === void 0 ? void 0 : _8.value,
        motionSensorPIREvent: (_9 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionSensorPIREvent)) === null || _9 === void 0 ? void 0 : _9.value,
        wifiRSSI: (_10 = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceWifiRSSI)) === null || _10 === void 0 ? void 0 : _10.value,
        pictureUrl: (_11 = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePictureUrl)) === null || _11 === void 0 ? void 0 : _11.value,
    };
    if (schemaVersion == 0) {
        return base;
    }
    // All schemas >= 1
    const device1 = base;
    device1.type = device.getPropertyValue(eufy_security_client_1.PropertyName.Type).value;
    return device1;
};
exports.dumpDevice = dumpDevice;
//# sourceMappingURL=state.js.map